## python-imagehash 4.3.2

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

PYTHON := python3

BROWSER := $(PYTHON) -c "$$BROWSER_PYSCRIPT"

help:
	@$(PYTHON) -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test clean-doc ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +
	find . -name '*.so' -exec rm -f {} +
	find . -name '*.c' -exec rm -f {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

clean-doc:
	rm -rf docs/build

lint: ## check style with flake8
	flake8 .

lint-fix: ## fix style with autopep8 and isort; ignores to not autofix tabs to spaces, but still warn when mixed
	autopep8 . --in-place --aggressive --aggressive --aggressive --recursive --ignore=W191,E101,E111,E122
	isort .

test: ## run tests quickly with the default Python
	pytest

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source ultranest -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/ultranest.rst
	rm -f docs/modules.rst
	#nbstripout docs/*.ipynb
	sphinx-apidoc -H API -o docs/ ultranest
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	sed --in-place '/href="ultranest\/mlfriends.html"/d' docs/build/html/_modules/index.html
	$(BROWSER) docs/build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

release: dist ## package and upload a release
	twine upload -s dist/*.tar.gz dist/*.whl

dist: clean ## builds source and wheel package
	$(PYTHON) setup.py sdist
	$(PYTHON) setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	$(PYTHON) setup.py install

=== debian/changelog ===
python-imagehash (4.3.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1129539)
  * Add patch drop-data-files-and-scripts-from-setup-py.diff to avoid
    installing helper script find_similar_images.py and test data images.

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 02 Mar 2026 17:27:10 +0000

=== debian/control ===
Source: python-imagehash
Section: python
Maintainer: Francesco Ballarin <ballarin@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-numpy,
 python3-pillow,
 python3-pytest <!nocheck>,
 python3-pywt,
 python3-scipy,
 python3-setuptools,
 python3-six <!nocheck>
Testsuite: autopkgtest-pkg-pybuild
Standards-Version: 4.7.3
Homepage: https://github.com/JohannesBuchner/imagehash
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-imagehash
Vcs-Git: https://salsa.debian.org/python-team/packages/python-imagehash.git

Package: python3-imagehash
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Image hashing library written in Python (Python 3)
 Image hashes tell whether two images look nearly identical. This is different
 from cryptographic hashing algorithms (like MD5, SHA-1) where tiny changes in
 the image give completely different hashes. In image fingerprinting, we
 actually want our similar inputs to have similar output hashes as well.
 .
 The image hash algorithms (average, perceptual, difference, wavelet) analyse
 the image structure on luminance (without color information). The color hash
 algorithm analyses the color distribution and black & gray fractions (without
 position information).
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=imagehash
export PYBUILD_TEST_ARGS="--ignore=tests/test_readme.py"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5
Template: GitHub
Owner: JohannesBuchner
Project: imagehash
